# `addType` ( class in module `jsPlumbUIComponent` )

## Description

Adds a type to the component. Note this is distinct from `setType` , which overrides all current types - this function just adds a type to the existing list.

## Parameters

- `typeId – {string} –`

  Id of the type to add.

- `params – {object} –`

  Optional params to use when applying the type.

- `doNotRepaint – {boolean} –`

  Defaults to false; tells jsPlumb not to repaint after adding the type.